# Uses of Enum Class
xg.md.ProtocolMetadata.protocolEndpointAddress.addressType

Packages that use ProtocolMetadata.protocolEndpointAddress.addressType
Package
Description
xg.md

## Uses of ProtocolMetadata.protocolEndpointAddress.addressType in xg.md

Methods in xg.md that return ProtocolMetadata.protocolEndpointAddress.addressType
Modifier and Type
Method
Description
`static ProtocolMetadata.protocolEndpointAddress.addressType`
ProtocolMetadata.protocolEndpointAddress.addressType.`forNumber(int value)`
`ProtocolMetadata.protocolEndpointAddress.addressType`
ProtocolMetadata.protocolEndpointAddress.Builder.`getAddressType()`
the address type
`ProtocolMetadata.protocolEndpointAddress.addressType`
ProtocolMetadata.protocolEndpointAddress.`getAddressType()`
the address type
`ProtocolMetadata.protocolEndpointAddress.addressType`
ProtocolMetadata.protocolEndpointAddressOrBuilder.`getAddressType()`
the address type
`static ProtocolMetadata.protocolEndpointAddress.addressType`
ProtocolMetadata.protocolEndpointAddress.addressType.`valueOf(int value)`
Deprecated.
`static ProtocolMetadata.protocolEndpointAddress.addressType`
ProtocolMetadata.protocolEndpointAddress.addressType.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ProtocolMetadata.protocolEndpointAddress.addressType`
ProtocolMetadata.protocolEndpointAddress.addressType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolMetadata.protocolEndpointAddress.addressType[]`
ProtocolMetadata.protocolEndpointAddress.addressType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in xg.md that return types with arguments of type ProtocolMetadata.protocolEndpointAddress.addressType
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<ProtocolMetadata.protocolEndpointAddress.addressType>`
ProtocolMetadata.protocolEndpointAddress.addressType.`internalGetValueMap()`
Methods in xg.md with parameters of type ProtocolMetadata.protocolEndpointAddress.addressType
Modifier and Type
Method
Description
`ProtocolMetadata.protocolEndpointAddress.Builder`
ProtocolMetadata.protocolEndpointAddress.Builder.`setAddressType(ProtocolMetadata.protocolEndpointAddress.addressType value)`
the address type